List Funds
curl --request GET \
--url https://api.fruitstand.dev/v1/funds \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fruitstand.dev/v1/funds"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fruitstand.dev/v1/funds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"code": "<string>",
"market": "US",
"name": "<string>",
"country": "<string>",
"exchange": "<string>",
"currency": "<string>",
"type": "<string>",
"isin": "<string>",
"is_inactive": true,
"inactive_date": "2023-12-25",
"min_return_date": "2023-12-25",
"max_return_date": "2023-12-25"
}
],
"next_cursor": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Fund Returns API
List Funds
GET
/
v1
/
funds
List Funds
Authorizations
Your Fruit Stand API key from app.fruitstand.dev.
Query Parameters
Fuzzy match on ticker or name.
Security type, e.g. ETF or FUND.
Opaque keyset cursor (a code).
Required range:
x >= 0Was this page helpful?